# Uses of Class
org.apache.lucene.search.grouping.TopGroups

- ## Uses of TopGroups in org.apache.lucene.search.grouping

  Methods in org.apache.lucene.search.grouping that return TopGroups
  Modifier and Type
  Method
  Description
  `TopGroups<?>`
  BlockGroupingCollector.`getTopGroups(Sort withinGroupSort, int groupOffset, int withinGroupOffset, int maxDocsPerGroup)`
  Returns the grouped results.
  `TopGroups<T>`
  TopGroupsCollector.`getTopGroups(int withinGroupOffset)`
  Get the TopGroups recorded by this collector
  `protected TopGroups<?>`
  GroupingSearch.`groupByDocBlock(IndexSearcher searcher, Query query, int groupOffset, int groupLimit)`
  `protected TopGroups`
  GroupingSearch.`groupByFieldOrFunction(IndexSearcher searcher, Query query, int groupOffset, int groupLimit)`
  `static <T> TopGroups<T>`
  TopGroups.`merge(TopGroups<T>[] shardGroups, Sort groupSort, Sort docSort, int docOffset, int docTopN, TopGroups.ScoreMergeMode scoreMergeMode)`
  Merges an array of TopGroups, for example obtained from the second-pass collector across multiple shards.
  `<T> TopGroups<T>`
  GroupingSearch.`search(IndexSearcher searcher, Query query, int groupOffset, int groupLimit)`
  Executes a grouped search.
  Methods in org.apache.lucene.search.grouping with parameters of type TopGroups
  Modifier and Type
  Method
  Description
  `static <T> TopGroups<T>`
  TopGroups.`merge(TopGroups<T>[] shardGroups, Sort groupSort, Sort docSort, int docOffset, int docTopN, TopGroups.ScoreMergeMode scoreMergeMode)`
  Merges an array of TopGroups, for example obtained from the second-pass collector across multiple shards.
  Constructors in org.apache.lucene.search.grouping with parameters of type TopGroups
  Modifier
  Constructor
  Description
  ``
  `TopGroups(TopGroups<T> oldTopGroups, Integer totalGroupCount)`